package com.palmnest.model.estateserve;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 项目主页服务内容信息实体类
 *
 * @author 金牙
 */
@Entity
@Table(name = "tb_serviceTypeInfo")
public class ServiceTypeInfo implements java.io.Serializable {

	/**
	 * 序列号
	 */
	private static final long serialVersionUID = -4427478985012956167L;

	private Integer id;//主键ID
	private String  serviceRemark;//服务说明
	private String  serviceName;//服务名称
	private String  serviceIcon;//服务图片
	private String  code;//服务编码
	private String  skipAddress;//未认证跳转地址
	private String  jumpAddress;//已认证跳转地址
	private String  enterpriseAddress;//企业运营者跳转地址
	private String  linkUrlType;//(0-内部链接，1-外部链接)
	private String  serviceStatus;//(0-公共服务,1-私有服务)
	private String  registerStatus;//(0-未注册,1-需要注册);
	private Integer projectId;//项目服务ID
	private String  type;//类型（0-项目，1-企业）
	private String  serviceType;//(0-企业专属服务)
	private String  creator;//创建者
	private Date    createTime;//创建时间
	private String  modifier;//修改着
	private Date    modifyTime;//修改时间
	private String  isEnabled;//是否可用(0-不可用,1-可用)
	private String  paymentType;//支付方式(0-现结,1-月结)
	private String  depositType;//是否押金(0-否,1-是)
	private String  isSignContract;//是否需要签约(0-否,1-是)
	private String  grayAppServiceIcon;//app灰度图标
	private String  grayWechatServiceIcon;//微信灰度图标
	private String  serviceCategory;//服务分类
	private String  grayUrl;//灰度图标链接跳转路径
	private String  serviceCode;//服务用于区分哪个服务的编码

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getGrayUrl() {
		return grayUrl;
	}

	public void setGrayUrl(String grayUrl) {
		this.grayUrl = grayUrl;
	}

	@Column(name = "serviceName")
	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	@Column(name = "serviceIcon")
	public String getServiceIcon() {
		return serviceIcon;
	}

	public void setServiceIcon(String serviceIcon) {
		this.serviceIcon = serviceIcon;
	}

	@Column(name = "linkUrlType")
	public String getLinkUrlType() {
		return linkUrlType;
	}

	public void setLinkUrlType(String linkUrlType) {
		this.linkUrlType = linkUrlType;
	}

	@Column(name = "serviceStatus")
	public String getServiceStatus() {
		return serviceStatus;
	}

	public void setServiceStatus(String serviceStatus) {
		this.serviceStatus = serviceStatus;
	}

	@Column(name = "serviceType")
	public String getServiceType() {
		return serviceType;
	}

	public void setServiceType(String serviceType) {
		this.serviceType = serviceType;
	}

	@Column(name = "creator")
	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	@Column(name = "createTime")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "modifier")
	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	@Column(name = "modifyTime")
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	@Column(name = "isEnabled")
	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	@Column(name = "code")
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Column(name = "skipAddress")
	public String getSkipAddress() {
		return skipAddress;
	}

	public void setSkipAddress(String skipAddress) {
		this.skipAddress = skipAddress;
	}

	@Column(name = "jumpAddress")
	public String getJumpAddress() {
		return jumpAddress;
	}

	public void setJumpAddress(String jumpAddress) {
		this.jumpAddress = jumpAddress;
	}

	@Column(name = "enterpriseAddress")
	public String getEnterpriseAddress() {
		return enterpriseAddress;
	}

	public void setEnterpriseAddress(String enterpriseAddress) {
		this.enterpriseAddress = enterpriseAddress;
	}

	@Column(name = "projectId")
	public Integer getProjectId() {
		return projectId;
	}

	public void setProjectId(Integer projectId) {
		this.projectId = projectId;
	}

	@Column(name = "type")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@Column(name = "registerStatus")
	public String getRegisterStatus() {
		return registerStatus;
	}

	public void setRegisterStatus(String registerStatus) {
		this.registerStatus = registerStatus;
	}

	@Column(name = "paymentType")
	public String getPaymentType() {
		return paymentType;
	}

	public void setPaymentType(String paymentType) {
		this.paymentType = paymentType;
	}

	@Column(name = "depositType")
	public String getDepositType() {
		return depositType;
	}

	public void setDepositType(String depositType) {
		this.depositType = depositType;
	}

	@Column(name = "isSignContract")
	public String getIsSignContract() {
		return isSignContract;
	}

	public void setIsSignContract(String isSignContract) {
		this.isSignContract = isSignContract;
	}

	@Column(name = "serviceRemark")
	public String getServiceRemark() {
		return serviceRemark;
	}

	public void setServiceRemark(String serviceRemark) {
		this.serviceRemark = serviceRemark;
	}

	public String getGrayAppServiceIcon() {
		return grayAppServiceIcon;
	}

	public void setGrayAppServiceIcon(String grayAppServiceIcon) {
		this.grayAppServiceIcon = grayAppServiceIcon;
	}

	public String getGrayWechatServiceIcon() {
		return grayWechatServiceIcon;
	}

	public void setGrayWechatServiceIcon(String grayWechatServiceIcon) {
		this.grayWechatServiceIcon = grayWechatServiceIcon;
	}

	public String getServiceCategory() {
		return serviceCategory;
	}

	public void setServiceCategory(String serviceCategory) {
		this.serviceCategory = serviceCategory;
	}

	public String getServiceCode() {
		return serviceCode;
	}

	public void setServiceCode(String serviceCode) {
		this.serviceCode = serviceCode;
	}
}
